summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-10-20 14:01:23 +0000
committerJim Meyering <jim@meyering.net>2001-10-20 14:01:23 +0000
commit54a8b24b6ef0133a714102f69875991e435307d3 (patch)
tree27a93c1796f47b7bba2e2e5322851e42bf90c653 /tests/mv
parentf2d0d9bda9e6338bd94fca51e03a27c84f8e27b9 (diff)
downloadcoreutils-54a8b24b6ef0133a714102f69875991e435307d3.tar.xz
Don't use a umask that removes owner read/write.
Use a stricter test for permissions.
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/partition-perm5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/mv/partition-perm b/tests/mv/partition-perm
index 2c709d277..768436628 100755
--- a/tests/mv/partition-perm
+++ b/tests/mv/partition-perm
@@ -24,7 +24,7 @@ cd $dir
: > file
chmod a=rwx file
-umask 777
+umask 077
mv file $other_partition_tmpdir
fail=0
@@ -32,6 +32,7 @@ test -f file && fail=1
test -f $other_partition_tmpdir/file || fail=1
# This would have failed with the mv from fileutils-4.0i.
-test -r $other_partition_tmpdir/file || fail=1
+set _ `ls -l $other_partition_tmpdir/file`; shift; mode=$1
+test "$mode" = "-rwxrwxrwx" || fail=1
exit $fail